Sign a Semantic CWT credential
Roles
Analytics Events
/v2/credentials/compact-semantic/signReturns a signed Semantic CWT credential generated from a provided valid payload.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_SIGN_START
- CREDENTIAL_COMPACT_SEMANTIC_SIGN_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_SIGN_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Semantic CWT credential payload to sign
CompactSemanticCredentialSignRequest
When set to true, the created credential can later be revoked. When set to false, the credential cannot be revoked.
falseWhen set to true, the signed credential is issued as revoked, and must be unrevoked to become valid. If isRevoked is provided (e.g. set to either true or false), revocable must be set to true.
falseResponse Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/sign" \ -H "Content-Type: application/json" \ -d '{ "payload": { "iss": "did:web:organization.com", "vc": { "type": "AlumniCredential", "credentialSubject": { "property1": "...", "property2": "..." } } } }'{
"id": "string",
"encoded": "CSS:/1/BASE_32_ENCODED_PAYLOAD",
"decoded": {
"iss": "did:web:example.com",
"jti": "...",
"nbf": 1645743759,
"exp": 1645743759,
"iat": 1645743759,
"aud": "...",
"sub": "...",
"vc": {
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://www.w3.org/2018/credentials/examples/v1"
],
"type": [
"VerifiableCredential",
"AlumniCredential"
],
"credentialSubject": {
"property1": "...",
"property2": "..."
}
},
"status": {
"url": "...",
"index": 123
}
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete an Apple Pass template DELETE
Deletes an existing Apple Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_FAIL
Format a Semantic CWT credential as a QR code POST
Returns a QR code representation of a Semantic CWT credential from a provided encoded string representation of that credential. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_FAIL